import { TransitionProps } from 'react-transition-group/Transition';
export interface CSSTransitionProps {
    /**
     * Css class to apply when toast enter
     */
    enter: string;
    /**
     * Css class to apply when toast leave
     */
    exit: string;
    /**
     * Define the duration of the transition in ms
     * You can also pass an array `[enterDuration, exitDuration]`
     * `Default: 750`
     */
    duration?: number | [number, number];
    /**
     * Append current toast position to the classname.
     * For instance `myclass--top-center`...
     * `Default: false`
     */
    appendPosition?: boolean;
}
export declare function cssTransition({ enter, exit, duration, appendPosition }: CSSTransitionProps): ({ children, position, preventExitTransition, ...props }: Partial<TransitionProps>) => JSX.Element;
